--- debian/control.orig	2018-07-17 14:04:51.890736869 +0000
+++ debian/control	2018-07-17 14:05:24.282565505 +0000
@@ -8,21 +8,19 @@
                bison,
                flex,
                libcurl4-gnutls-dev,
-               libxmlrpc-c3-dev,
-               libgnutls-dev,
+               libxmlrpc-core-c3-dev,
+               libgnutls28-dev,
                libvirt-dev,
                libcups2-dev,
                libsnmp-dev,
-               libjson0-dev,
+               libjson-c-dev,
                libpq-dev,
                libselinux1-dev,
                libsmbclient-dev,
                libexpat1-dev,
-               libldns-dev, ldnsutils,
                libmysqlclient-dev,
                liboping-dev,
-               libopenipmi-dev,
-               libvarnishapi-dev
+               libopenipmi-dev
 Standards-Version: 3.9.1
 Homepage: http://svn.durchmesser.ch/trac/monitoringplug/
 
@@ -71,19 +69,6 @@
  This package provides a basic set of plugins with libcurl as
  dependency.
 
-Package: monitoringplug-dns
-Architecture: any
-Depends: monitoringplug, libldns1, ${shlibs:Depends}, ${misc:Depends}
-Description: Collection of DNS monitoring plugins for Nagios.
- Collection of DNS monitoring plugins for Nagios. It contains the following
- plugins:
- .
-  check_dnssec_expiration, check_dnssec_trace, check_dnssec_trust_anchor,
-  check_dns_sync
- .
- This package provides a basic set of plugins with ldns as
- dependency.
-
 Package: monitoringplug-gnutls
 Architecture: any
 Depends: monitoringplug, libgnutls26, ${shlibs:Depends}, ${misc:Depends}
@@ -215,17 +200,6 @@
  This package provides a basic set of plugins with net-snmp as
  dependency.
 
-Package: monitoringplug-varnish
-Architecture: any
-Depends: monitoringplug, libvarnishapi1, ${shlibs:Depends}, ${misc:Depends}
-Description: Collection of Varnish monitoring plugins for Nagios.
- Collection of Varnish monitoring plugins for Nagios. It contains the following
- plugins:
- .
-  check_varnish, check_varnish_backends
- .
- This package provides a set of plugins with libvarnishapi as dependency.
-
 Package: monitoringplug-xmlrpc
 Architecture: any
 Depends: monitoringplug, libxmlrpc-c3, ${shlibs:Depends}, ${misc:Depends}
--- debian/rules.orig	2018-07-17 14:04:59.166698344 +0000
+++ debian/rules	2018-07-17 14:05:07.290655359 +0000
@@ -27,7 +27,8 @@
 			CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
 			CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
 			FFLAGS="$(shell dpkg-buildflags --get FFLAGS)" \
-			LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+			LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" \
+			--with-ldns=no --without-varnish
 
 override_dh_install:
 	dh_install --fail-missing -Xcheck_dummy
--- configure.orig	2018-07-17 14:05:45.858451517 +0000
+++ configure	2018-07-17 14:06:16.982287290 +0000
@@ -7683,12 +7683,12 @@
     pkg_cv_JSON_CFLAGS="$JSON_CFLAGS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"json\""; } >&5
-  ($PKG_CONFIG --exists --print-errors "json") 2>&5
+    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"json-c\""; } >&5
+  ($PKG_CONFIG --exists --print-errors "json-c") 2>&5
   ac_status=$?
   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
-  pkg_cv_JSON_CFLAGS=`$PKG_CONFIG --cflags "json" 2>/dev/null`
+  pkg_cv_JSON_CFLAGS=`$PKG_CONFIG --cflags "json-c" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
 else
   pkg_failed=yes
@@ -7700,12 +7700,12 @@
     pkg_cv_JSON_LIBS="$JSON_LIBS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"json\""; } >&5
-  ($PKG_CONFIG --exists --print-errors "json") 2>&5
+    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"json-c\""; } >&5
+  ($PKG_CONFIG --exists --print-errors "json-c") 2>&5
   ac_status=$?
   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
-  pkg_cv_JSON_LIBS=`$PKG_CONFIG --libs "json" 2>/dev/null`
+  pkg_cv_JSON_LIBS=`$PKG_CONFIG --libs "json-c" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
 else
   pkg_failed=yes
@@ -7726,9 +7726,9 @@
         _pkg_short_errors_supported=no
 fi
         if test $_pkg_short_errors_supported = yes; then
-	        JSON_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors --cflags --libs "json" 2>&1`
+	        JSON_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors --cflags --libs "json-c" 2>&1`
         else
-	        JSON_PKG_ERRORS=`$PKG_CONFIG --print-errors --cflags --libs "json" 2>&1`
+	        JSON_PKG_ERRORS=`$PKG_CONFIG --print-errors --cflags --libs "json-c" 2>&1`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$JSON_PKG_ERRORS" >&5
--- curl/check_buildbot_slave.c.orig	2018-07-17 14:06:32.738204241 +0000
+++ curl/check_buildbot_slave.c	2018-07-17 14:06:45.582136575 +0000
@@ -42,7 +42,7 @@
 #include <ctype.h>
 /* Library Includes */
 #include <curl/curl.h>
-#include <json/json.h>
+#include <json-c/json.h>
 
 /* Global Vars */
 const char *hostname = NULL;
--- fcgi/check_fcgi_phpfpm.c.orig	2018-07-17 14:07:05.958029320 +0000
+++ fcgi/check_fcgi_phpfpm.c	2018-07-17 14:07:15.245980457 +0000
@@ -44,7 +44,7 @@
 #include <fastcgi.h>
 #include <fcgios.h>
 #include <fcgiapp.h>
-#include <json/json.h>
+#include <json-c/json.h>
 
 /* Global Vars */
 char *fcgisocket = NULL;
